package com.cultural.heritage.model.vo;

import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

@Data
public class GoodVO implements Serializable {

    /**
     * 商品编号
     */
    private Long id;

    /**
     * 商品名
     */
    private String name;

    /**
     * 商品类型
     */
    private String type;

    /**
     * 商品价格
     */
    private Double price;

    /**
     * 商品图片
     */
    private String goodImg;


    /**
     * 商品标签
     */
    private String label;

    /**
     * 预约日期
     */
    private String reserveDate;

    @Serial
    private static final long serialVersionUID = 1L;
}
