package com.cultural.heritage.service.address;

import com.baomidou.mybatisplus.extension.service.IService;
import com.cultural.heritage.model.entity.Address;
import com.cultural.heritage.model.entity.Contacts;
import io.swagger.v3.oas.models.info.Contact;

import java.util.List;

public interface ContactsService extends IService<Contacts> {
    /**
     * 校验是否添加或更新了默认联系人
     */
    void verifyIsDefault(Contacts contacts);


    /**
     * 根据userId获取用户联系人
     */
    List<Contacts> getUserAddressById(Long id);
}
