package com.cultural.heritage.model.dto.exchange;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;


/**
 * 积分兑换优惠券请求
 */
@Data
public class ExchangeAddRequest implements Serializable {


    /**
     * 用户id
     */
    private Long userId;

    /**
     * 优惠券id
     */
    private Long couponId;

    /**
     * 数量
     */
    private Integer quantity;

    /**
     * 优惠券积分价格
     */
    private Integer requirePoints;


    @Serial
    private static final long serialVersionUID = 1L;
}
