package com.cultural.heritage.model.dto.user;

import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

@Data
public class UserUpdateRequest implements Serializable {


    /**
     * id
     */
    private Long id;

    /**
     * 密码
     */
    private String userPassword;

    /**
     * 用户名
     */
    private String userName;

    /**
     * 头像
     */
    private String userAvatar;

    /**
     * 手机号
     */
    private String phone;

    /**
     * 用户角色
     */
    private String userRole;

    @Serial
    private static final long serialVersionUID = 1L;

}
